rpart-internal {rpart} | R Documentation

## Internal Functions

### Description

Internal functions, only used by packages rpart and ipred.

### Usage

    pred.rpart(fit, x)
    rpart.anova(y, offset, parms, wt)
    rpart.class(y, offset, parms, wt)
    rpart.exp(y, offset, parms, wt)
    rpart.matrix(frame)
    rpart.poisson(y, offset, parms, wt)

### Arguments

`fit` | a tree fitted by `rpart`.
`x` | a matrix of predictors.
`y` | the responses.
`offset` | an offset, or `NULL`.
`parms` | a list of parameters, usually empty.
`wt` | case weights.
`frame` | model frame (from call to `rpart`)

### Value

`rpart.anova`, `rpart.class`, `rpart.exp` and `rpart.poisson` return a list with components

`y` | (adjusting for `offset` if necessary),
`parms` | as input,
`numresp` | the number of responses,
`summary` | a function to be invoked by `summary.rpart`,
`text` | a function to be invoked by `text.rpart`.

[Package Contents]